Package org.kie.internal.runtime.manager.audit.query

## Enum ErrorInfoQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<ErrorInfoQueryBuilder.OrderBy>
  - - org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder.OrderBy

- All Implemented Interfaces:
    `Serializable`, `Comparable<ErrorInfoQueryBuilder.OrderBy>`
  Enclosing interface:
    ErrorInfoQueryBuilder

      public static enum ErrorInfoQueryBuilder.OrderBy
      extends Enum<ErrorInfoQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `id` |
    `time` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ErrorInfoQueryBuilder.OrderBy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ErrorInfoQueryBuilder.OrderBy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### id

          public static final ErrorInfoQueryBuilder.OrderBy id

    - #### time

          public static final ErrorInfoQueryBuilder.OrderBy time

  - ### Method Detail

    - #### values

          public static ErrorInfoQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorInfoQueryBuilder.OrderBy c : ErrorInfoQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorInfoQueryBuilder.OrderBy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null